import request from '@/utils/request'

// 查询菜单列表
export function listMenu(query) {
  return request({
    url: 'horizon/system/auth/menuList',
    method: 'get',
    params: query
  })
}

// 查询菜单详细
export function getMenu(menuId) {
  return request({
    url: 'horizon/system/auth/menu/?menuId=' + menuId,
    method: 'get'
  })
}

// 查询菜单下拉树结构
export function treeselect() {
  return request({
    url: 'horizon/system/auth/getMenus',
    method: 'get'
  })
}

// 根据角色ID查询菜单下拉树结构
export function roleMenuTreeselect(roleId) {
  return request({
    url: 'horizon/system/menu/roleMenuTreeselect/' + roleId,
    method: 'get'
  })
}

// 新增菜单
export function addMenu(data) {
  return request({
    url: 'horizon/system/auth/addMenu',
    method: 'post',
    data: data
  })
}

// 修改菜单
export function updateMenu(data) {
  return request({
    url: 'horizon/system/auth/editMenu',
    method: 'put',
    data: data
  })
}

// 删除菜单
export function delMenu(menuId) {
  return request({
    url: 'horizon/system/auth/deleteMenu',
    method: 'delete',
    data:{ids:[menuId]}
  })
}

// 查询分类模型选项
export function getModelOptions(module) {
  return request({
    url: 'horizon/system/auth/modelOptions',
    method: 'get',
    params:{module:module}
  })
}
